function färgVal(obj) {
   var linkList = document.getElementById("testDiv").getElementsByTagName("a");
   for (i = 0; i < linkList.length; i++) {
      linkList[i].className = "";
   }
   obj.className = "vald";
}
